import { request } from '../request';

export function fetchGetSystemVarPageList(params?: Api.SystemVariable.SystemVariableSearchParams) {
  return request<Api.SystemVariable.SystemVariableList>({
    url: '/system-variable/page/list',
    method: 'get',
    params
  });
}
export function fetchGetSystemVarList() {
  return request({
    url: '/system-variable/list',
    method: 'get'
  });
}

/** add Variable */
export function fetchAddVariable(data: Api.SystemVariable.SystemVariable) {
  return request<boolean>({
    url: '/system-variable',
    method: 'post',
    data
  });
}

/** edit Variable */
export function fetchEditVariable(data: Api.SystemVariable.SystemVariable) {
  return request<boolean>({
    url: '/system-variable',
    method: 'put',
    data
  });
}


/** delete Variable */
export function fetchDelVariable(id: number) {
  return request<boolean>({
    url: `/system-variable/${id}`,
    method: 'delete'
  });
}

/** batch delete Variable */
export function fetchBatchDelteVariable(data: string[]) {
  return request<boolean>({
    url: `/system-variable/ids`,
    method: 'delete',
    data
  });
}
